.docker:
  image: docker:23.0.6
  services:
    - docker:23.0.6-dind
  script:
    - test -f .env.dist && cp .env.dist .env || true
    - docker version
    - docker buildx version
    - docker compose version
    - docker login -u $CI_REGISTRY_USER -p $CI_REGISTRY_PASSWORD $CI_REGISTRY
    - echo ${IMAGE_NAME?}:${IMAGE_TAG?}
    - echo ${COMPOSE_PROJECT_NAME?}
    - echo ${COMPOSE_FILE?}
  variables:
    IMAGE_NAME: ${CI_REGISTRY_IMAGE}
    IMAGE_TAG: ${CI_COMMIT_SHORT_SHA}
    COMPOSE_FILE: compose.yaml:compose.ci.yaml
    COMPOSE_PROJECT_NAME: ${CI_PROJECT_PATH_SLUG}
    COMPOSE_REMOVE_ORPHANS: 1
    DOCKER_COMPOSE_TIMEOUT: 300
